Bug 1176182 (CVE-2014-8135) - CVE-2014-8135 libvirt: local denial of service in storage/storage_driver.c
Summary: CVE-2014-8135 libvirt: local denial of service in storage/storage_driver.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-8135
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1072653 1087104 1176179
Blocks: 1176178
TreeView+ depends on / blocked
 
Reported: 2014-12-19 16:01 UTC by Vasyl Kaigorodov
Modified: 2021-02-17 05:52 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-19 22:30:08 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-12-19 16:01:14 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-8135 to
the following vulnerability:

Name: CVE-2014-8135
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8135
Assigned: 20141010
Reference: http://secunia.com/advisories/61111

The storageVolUpload function in storage/storage_driver.c in libvirt
does not check a certain return value, which allows local users to
cause a denial of service (NULL pointer dereference and daemon crash)
via a crafted offset value in a "virsh vol-upload" command.

Upstream commit that addresses this issue:
http://libvirt.org/git/?p=libvirt.git;a=commit;h=87b9437f8951f9d24f9a85c6bbfff0e54df8c984

Comment 3 Petr Matousek 2015-01-05 10:01:59 UTC
Upstream advisory:

http://security.libvirt.org/2014/0009.html

Comment 4 Kurt Seifried 2015-08-19 22:30:08 UTC
Statement:

This issue affects the versions of libvirt as shipped with Red Hat Enterprise Linux 5, 6 and 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.